=== configs/viz/CMakeLists.txt ===
add_subdirectory(scene3d)
add_subdirectory(image)
add_subdirectory(scene2d)
