=== libs/io/CMakeLists.txt ===
add_subdirectory(dicom)
add_subdirectory(zip)
add_subdirectory(igtl)
add_subdirectory(http)
add_subdirectory(vtk)
add_subdirectory(opencv)
add_subdirectory(dimse)
add_subdirectory(session)
add_subdirectory(bitmap)
