=== debian/changelog ===
sight (25.0.0-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 09:43:06 +0200

sight (25.0.0-1) unstable; urgency=medium

  * New upstream version
  * d/p/: Remove patches applied upstream
    Update other patches
    Add a patch to not load Roboto font manually
  * Removed sightlog install, since it was removed upstream

 -- Flavien Bridault <fbridault@ircad.fr>  Sat, 01 Mar 2025 09:45:07 +0100
