=== activity/CMakeLists.txt ===
add_subdirectory(navigation)
add_subdirectory(io)
add_subdirectory(viz)
