=== app/CMakeLists.txt ===
add_subdirectory(sight_calibrator)
add_subdirectory(sight_viewer)
add_subdirectory(archive_extractor)
