=== example/CMakeLists.txt ===
add_subdirectory(core)
add_subdirectory(ui)
add_subdirectory(io)
add_subdirectory(filter)
add_subdirectory(geometry)
add_subdirectory(navigation)
add_subdirectory(viz)
