=== module/CMakeLists.txt ===
add_subdirectory(__)
add_subdirectory(filter)
add_subdirectory(geometry)
add_subdirectory(io)
add_subdirectory(navigation)
add_subdirectory(ui)
add_subdirectory(viz)
