=== tutorial/CMakeLists.txt ===
add_subdirectory(xml)
