=== activity/navigation/CMakeLists.txt ===
add_subdirectory(calibration)
