=== debian/changelog ===
sight (25.1.0-1) unstable; urgency=medium

  * New upstream version
  * d/control: Upgrade to Qt6, required for this version
    Add patch to build with gcc 15.  Closes: #1097881, #1111550
    Removed dbus-x11.  Closes: #1117106
  * d/p/: Update all patches to match new root file tree
    Remove applied patches upstream
  * lintian.overrides: Removed because of obsolete tags

 -- Flavien Bridault <fbridault@ircad.fr>  Sat, 04 Oct 2025 09:41:48 +0200
