=== debian/control ===
Source: sight
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Flavien Bridault <fbridault@ircad.fr>,
Section: science
Priority: optional
Build-Depends:
 binutils-gold,
 cmake,
 dcmtk,
 debhelper-compat (= 13),
 dh-exec,
 libarchive-dev,
 libboost-all-dev,
 libceres-dev,
 libcppunit-dev,
 libexpat1-dev,
 libfftw3-dev,
 libgdcm-dev,
 libgdcm-tools,
 libglm-dev,
 libinsighttoolkit5-dev,
 libogre-1.12-dev,
 libopencv-dev,
 libopenigtlink-dev,
 libsdl2-dev,
 libvtk9-dev,
 libvtkgdcm-dev,
 pandoc,
 qt6-base-dev,
 qt6-image-formats-plugins,
 qt6-svg-dev,
 qt6-multimedia-dev,
 qt6-pdf-dev,
 qt6-tools-dev,
 rdfind,
 symlinks,
 xauth,
 xvfb,
 zlib1g-dev,
 zstd,
Vcs-Browser: https://salsa.debian.org/med-team/sight
Vcs-Git: https://salsa.debian.org/med-team/sight.git
Homepage: https://git.ircad.fr/Sight/sight
Rules-Requires-Root: no

Package: libsight
Architecture: any
Section: libs
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 fonts-roboto,
Provides:
 fw4spl,
Description: Sight libraries
 The Surgical Image Guidance and
 Healthcare Toolkit aims to ease the creation of
 applications based on medical imaging. It includes
 various features such as 2D and 3D digital image
 processing, visualization, augmented reality and
 medical interaction simulation. It runs on many
 different environments (Windows, Linux, macOS), is
 written in C++, and features rapid interface design
 using XML files.
 .
 Sight was formerly known as FW4SPL. It was renamed
 in 2018, firstly to make its purpose clearer, and
 secondly as part of a major change in design and in
 the governance of the development team.
 .
 This package provides the shared libraries needed to
 run C++ programs that use Sight.

Package: libsight-dev
Architecture: any
Section: libdevel
Depends:
 libsight (= ${binary:Version}),
 libboost-all-dev,
 zlib1g-dev,
 libexpat1-dev,
 libpng-dev,
 libtiff-dev,
 libcppunit-dev,
 libhdf5-dev,
 libvtk9-dev,
 libgdcm-dev,
 libinsighttoolkit5-dev,
 libsdl2-dev,
 libann-dev,
 libvtkgdcm-dev,
 libglm-dev,
 libogre-1.12-dev,
 qt6-base-dev,
 qt6-image-formats-plugins,
 qt6-svg-dev,
 qt6-multimedia-dev,
 qt6-pdf-dev,
 qt6-tools-dev,
 ${shlibs:Depends},
 ${misc:Depends},
Description: Sight header files
 The Surgical Image Guidance and
 Healthcare Toolkit aims to ease the creation of
 applications based on medical imaging. It includes
 various features such as 2D and 3D digital image
 processing, visualization, augmented reality and
 medical interaction simulation. It runs on many
 different environments (Windows, Linux, macOS), is
 written in C++, and features rapid interface design
 using XML files.
 .
 Sight was formerly known as FW4SPL. It was renamed
 in 2018, firstly to make its purpose clearer, and
 secondly as part of a major change in design and in
 the governance of the development team.
 .
 This package contains the development files.

Package: sightviewer
Architecture: any
Depends:
 libsight (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Provides:
 vrrender,
Description: DICOM viewer
 Medical image viewer featuring negatoscope, multi-planar
 reconstruction, and volume rendering.
 .
 Many image formats are handled such as DICOM, mhd,
 inr.gz, vtk, vti,... Reconstructions can also be imported from
 DICOM segmentations or VTK supported formats, and visualized
 in mixed rendering with images.
 .
 Tools are provided to measure distances of
 structures in the image and to place landmarks.
 .
 Last, SightViewer can also connect directly to a PACS, and
 then request, download or upload DICOM files.

Package: sightcalibrator
Architecture: any
Depends:
 libsight (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: Camera calibration software
 User-friendly application to calibrate mono and stereo cameras.
 .
 SightCalibrator can take images, video files, or any supported
 camera device as input. It detects the presence of a checkerboard
 in images. The parameters of the checkboard can be customized.
 Individual images can then be marked to be used in the
 computation of the calibration. Last, the intrinsic and extrinsic
 parameters can be exported in OpenCV format, Yaml or XML.
