=== debian/watch ===
version=4
https://github.com/IRCAD/sight/tags .*/(\d\d\.\d\.\d)\.tar\.gz
