## sight 25.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,8 @@
     cmake_policy(SET CMP0174 NEW)
     # Use new policy for normalized install() DESTINATION paths
     cmake_policy(SET CMP0177 NEW)
+    # Stricter arguments check of add_custom_command
+    cmake_policy(SET CMP0175 NEW)
 else()
     # Use old policy for Documentation to add cache variables and find VTK documentation dependent packages.
     # (Needed for doxygen..)
@@ -47,7 +49,7 @@
 
 project(
     sight
-    VERSION 25.1.0
+    VERSION 25.2.0
     DESCRIPTION "Surgical Image Guidance and Healthcare Toolkit"
     HOMEPAGE_URL "https://git.ircad.fr/sight/sight"
 )
@@ -55,8 +57,6 @@
 if(APPLE)
     message(FATAL_ERROR "macOS is not supported.")
 endif()
-
-enable_testing()
 
 include(CheckVariableExists)
 include(CMakeParseArguments)
@@ -68,6 +68,18 @@
 mark_as_advanced(SIGHT_ENABLE_PCH)
 mark_as_advanced(SIGHT_VERBOSE_PCH)
 
+# Tests build / run options
+option(SIGHT_BUILD_TESTS "Configures projects associated tests (<project>Test projects)" ON)
+
+if(SIGHT_BUILD_TESTS)
+    message(STATUS "Tests enabled")
+    include(CTest)
+    find_package(doctest REQUIRED)
+endif()
+
+option(SIGHT_TESTS_XML_OUTPUT "Tests will generate an xml output, suitable for CI integration" ON)
+mark_as_advanced(SIGHT_TESTS_XML_OUTPUT)
+
 include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/build/flags.cmake)
 include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/build/macros.cmake)
 
@@ -83,15 +95,6 @@
 ########################################################################################################################
 # User options
 ########################################################################################################################
-
-# Tests build / run options
-option(SIGHT_BUILD_TESTS "Configures projects associated tests (<project>Test projects)" ON)
-
-option(SIGHT_TESTS_XML_OUTPUT "Tests will generate an xml output, suitable for CI integration" ON)
-mark_as_advanced(SIGHT_TESTS_XML_OUTPUT)
-
-set(SIGHT_TESTS_FILTER "" CACHE STRING "Allows to only build/run tests whose path contains the filter string.")
-mark_as_advanced(SIGHT_TESTS_FILTER)
 
 if(UNIX)
     option(SIGHT_ENABLE_GDB
@@ -184,8 +187,9 @@
     endif()
 endif()
 
-# We always need CppUnit, no need to put that in subdirectories
-find_package(CppUnit QUIET REQUIRED)
+if(SIGHT_BUILD_TESTS)
+    find_package(CppUnit QUIET REQUIRED)
+endif()
 
 ########################################################################################################################
 # Default paths settings for libraries, module and resources
@@ -270,6 +274,9 @@
     FILES "${CMAKE_SOURCE_DIR}/cmake/build/configure_file.cmake"
           "${CMAKE_SOURCE_DIR}/cmake/build/flags.cmake"
           "${FWCMAKE_RESOURCE_PATH}/build/cppunit_main.cpp.in"
+          "${FWCMAKE_RESOURCE_PATH}/build/doctest_main.cpp.in"
+          "${FWCMAKE_RESOURCE_PATH}/build/doctest.cmake"
+          "${FWCMAKE_RESOURCE_PATH}/build/doctestAddTests.cmake"
           "${FWCMAKE_RESOURCE_PATH}/build/pch.cpp"
           "${CMAKE_SOURCE_DIR}/cmake/build/config.hpp.in"
           "${CMAKE_SOURCE_DIR}/cmake/build/plugin_config.cmake"
@@ -284,6 +291,3 @@
 # Install some files needed for the install
 install(
     FILES "${CMAKE_SOURCE_DIR}/cmake/install/generic_install.cmake"
-          "${CMAKE_SOURCE_DIR}/cmake/install/get_git_rev.cmake"
-          "${CMAKE_SOURCE_DIR}/cmake/install/helper.cmake"
-          "${CMAKE_SOURCE_DIR}/cmake/install/install_imported.cmake.in"
