=== util/CMakeLists.txt ===
add_subdirectory(sightrun)
add_subdirectory(aruco_marker)
add_subdirectory(network_proxy)
