=== activity/io/CMakeLists.txt ===
add_subdirectory(activity)
