=== lib/filter/CMakeLists.txt ===
add_subdirectory(vision)
add_subdirectory(image)
