=== lib/ui/CMakeLists.txt ===
add_subdirectory(history)
add_subdirectory(__)
add_subdirectory(qt)
if(SIGHT_BUILD_TESTS)
    add_subdirectory(test)
endif()
