=== module/ui/CMakeLists.txt ===
add_subdirectory(debug)
add_subdirectory(viz)
add_subdirectory(console)
add_subdirectory(__)
add_subdirectory(icons)
add_subdirectory(qt)
add_subdirectory(history)
if(SIGHT_BUILD_TESTS)
    add_subdirectory(test)
endif()
