=== debian/changelog ===
sight (25.2.0-1) unstable; urgency=medium

  * Team upload.
  * Be more specific about Build-Depends than just libboost-all-dev
  * Adapt to libboost 1.90
    Closes: #1128147
  * debian/watch: version=5
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * Rely on pre-initialized dpkg-architecture variables.

 -- Andreas Tille <tille@debian.org>  Sun, 22 Feb 2026 11:59:12 +0100
