=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: sight
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders:
  Flavien Bridault <fbridault@ircad.fr>,
 Section: science
-Priority: optional
 Build-Depends:
  binutils-gold,
  cmake,
@@ -12,7 +11,11 @@
  debhelper-compat (= 13),
  dh-exec,
  libarchive-dev,
- libboost-all-dev,
+ libboost-date-time-dev,
+ libboost-iostreams-dev,
+ libboost-log-dev,
+ libboost-locale-dev,
+ libboost-program-options-dev,
  libceres-dev,
  libcppunit-dev,
  libexpat1-dev,
@@ -24,6 +27,10 @@
  libogre-1.12-dev,
  libopencv-dev,
  libopenigtlink-dev,
+ libopenjp2-7-dev,
+ libopenjp2-tools,
+ libopenjpip7,
+ libopenjpip-dec-server,
  libsdl2-dev,
  libvtk9-dev,
  libvtkgdcm-dev,
