=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 #fix the lintian "hardening" message
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
